/* global headerfile for guestshell 
   (c) Carsten Lutz 1992 
   clu@malihh.hanse.de */

/* USER-CONFIGURABLE SECTION ! */

/* #define USEEDITOR    /* allow editing with EDITORBIN. if not set: use cat */
                        /* WARNING: Using emacs or vi is a security-risk ! */
#define MAILANYLOCAL    /* allow mails to any local users, not only to 
			   postmaster */


/* default-subject for mails */
#define DEFAULTSUBJECT  "guest entered no subject"

/* obvious, isn't it ? */
#define	GOODBYETXT	"Good bye, thank you for calling..."

/* headline printed in menu */
#define	HEADLINE	"malihh.hanse.de online with 8MB NeXTstation / 900MB "\
			"HDD / 19200 bps RS232"

/* Title of menu */
#define MENUTITLE	"*** Guest - Menu ***"

/* characters wich mustn't occur in local usernames. */
#define NETWORKCHARS    "!@%%,"

/* local postmaster's preferred account. */
#define	POSTMASTER	"clu"

/* logfile location. You should do a touch $LOGFILE, chown guest $LOGFILE
   when installing this program. */
#define	LOGFILE		"/usr/adm/guestlogin"

/* if defined, print directly after login */
#define LOGINMSG        "In case of garbaged characters use RTS/CTS-" \
                        "flowcontrol !"

/* if defined, this call is used to set erase to ^H before doing a tset -r */
#define STTY "/bin/stty erase \"^H\""

/* guess what */
#define	TERMCAP		"/etc/termcap"

/* Where to find my texts ? */
#define TEXTPATH	"/usr/users/guest/texts/"

/* printed before who is called */
#define WHOHEADLINE	"user     port    login-time"

#define RESTRICTEDACCESS    /* if set, restrict access to filetransfer- */
                            /* functions to users in the accessfile. */
                            /* see documentation for more info. */

/* Name of used transfer-protocol ( only for use in menu-headline ) */
#define PROTNAME "z-modem"

/* location of binaries to send and receive a file. May include options.
   Transfer is initiated by doing a "sh -c SENDFILE FILENAME". When
   receiving a file, the filname is only asked from the user and given
   to the binary, when RECNEEDSFNAME is defined. */
#define RECFILE "/usr/local/bin/rz -p"
#define SENDFILE "/usr/local/bin/sz -L 1024"

/* Location of THE ONLY directory to send and receive files to/from */
#define PUBDIR "/usr/spool/uucppublic"

/* file with access-rights for filetranswer */
#define FILEPWD "/usr/users/guest/filepwd"

/* see RECFILE and SENDFILE */
/* #define RECNEEDSFNAME */

/* locations of some binaries */
#define AWKBIN          "/bin/awk"
#define CATBIN		"/bin/cat"
#define	MAILBIN		"/usr/ucb/Mail"
#define	EDITORBIN	"/usr/bin/emacs"
#define LS              "/bin/ls"
#define SHBIN		"/bin/sh"
#define	TALKBIN		"/usr/ucb/talk"
#define	TSETBIN		"/usr/ucb/tset"
#define	WHOBIN		"/bin/who"

/* if defined, the following strings are printed before the mail and
   chat - program is called, respectively. */

#define MAILMSG		"\n write a mail"\
			"\n--------------"\
			"\n\nFor security reasons, you will have to enter "\
 			"your text without any\nediting-comfort. Just type "\
			"the text straight-on, no cursor movements or other "\
			"\nfunctions are available. Only the Delete-key works"\
			" as expected.\nSorry for the inconveniance.\n\n"

#define	CHATMSG		"\n chat with postmaster"\
			"\n----------------------"\
			"\n\nThere are various reasons why the postmaster may"\
			" be unreachable although he is\ncurrently logged in."\
			"\n\nIf the postmaster does not respond to your call,"\
			"you can leave the chat with ^C\nand try again later "\
			"or write him a mail.\n\ngood luck !\n\n"

#define FILEMSG         "\n Filetransfer"\
                        "\n--------------"\
                        "\n\nThe filetransfer-menu is NOT public. You need a "\
                        "password to transfer files.\nThere is no public "\
                        "file-archive at this host !\n\n"

/* do NOT change */

#define	MAXEMULEN	20
#define	SHCMDLEN	256

struct menentry {
	char *text;
	void (*func)(void);
};
	
extern struct menentry mentab[];

#define		CR	'\15'

/* typedef	int	bool;         /* defined in curses */

/* #define	FALSE	0
   #define	TRUE	!0	      /* define in curses, too */


