/* shell for guestlogins on a NeXT-System.
   (c) 1991 by Carsten Lutz
   contact: clu@malihh.hanse.de

	ANSI-C
*/

#include	<curses.h>
#include	<stdio.h>
#include	<stdlib.h>

#include	"global.h"
#include	"prototypes.h"

/* local defines */
#define	LOGINTEXT	"login"

/* local prototypes */
static void menu(void);

/* local functions */

void menu()
{
	for(;;)
	{
		drawmenu();
		(*mentab[getmenukey()-1].func)();
	}
}

int main()
{
        initsig();

#ifdef LOGINMSG
	printf("\n%s\n",LOGINMSG);
#endif

	setemu(FALSE);
	initscr();
	log("guestshell startet.");
	if(!showfile(LOGINTEXT))
	{
		printf("\n\ncouldn't open textfile '%s'.",LOGINTEXT);
		printf("\n\nmay be trouble with more ?\n\n-key");
		getchar();
	}
	menu();
	endwin();
	return EXIT_SUCCESS;
}


















